## CamelIMAPXInputStream CamelIMAPXInputStream |

## Functions

GQuark | camel_imapx_error_quark ()
GInputStream * | camel_imapx_input_stream_new ()
gint | camel_imapx_input_stream_buffered ()
camel_imapx_token_t | camel_imapx_input_stream_token ()
void | camel_imapx_input_stream_ungettoken ()
void | camel_imapx_input_stream_set_literal ()
gint | camel_imapx_input_stream_gets ()
gint | camel_imapx_input_stream_getl ()
gboolean | camel_imapx_input_stream_atom ()
gboolean | camel_imapx_input_stream_astring ()
gboolean | camel_imapx_input_stream_nstring ()
gboolean | camel_imapx_input_stream_nstring_bytes ()
gboolean | camel_imapx_input_stream_text ()
gboolean | camel_imapx_input_stream_number ()
gboolean | camel_imapx_input_stream_skip ()
gboolean | camel_imapx_input_stream_skip_until ()

## Types and Values

#define | CAMEL_IMAPX_ERROR
enum | CamelIMAPXError
enum | camel_imapx_token_t

## Object Hierarchy

        GObject
        ╰── GInputStream
            ╰── GFilterInputStream
                ╰── CamelIMAPXInputStream

## Description

## Functions

### camel_imapx_error_quark ()

    GQuark
    camel_imapx_error_quark (void);

### camel_imapx_input_stream_new ()

    GInputStream *
    camel_imapx_input_stream_new (GInputStream *base_stream);

Creates a new CamelIMAPXInputStream which wraps `base_stream` and parses incoming IMAP lines into tokens.

#### Parameters

base_stream | a pollable GInputStream |

#### Returns

a CamelIMAPXInputStream

Since: 3.12

### camel_imapx_input_stream_buffered ()

    gint
    camel_imapx_input_stream_buffered (CamelIMAPXInputStream *is);

### camel_imapx_input_stream_token ()

    camel_imapx_token_t
    camel_imapx_input_stream_token (CamelIMAPXInputStream *is,
                                    guchar **start,
                                    guint *len,
                                    GCancellable *cancellable,
                                    GError **error);

### camel_imapx_input_stream_ungettoken ()

    void
    camel_imapx_input_stream_ungettoken (CamelIMAPXInputStream *is,
                                         camel_imapx_token_t tok,
                                         guchar *token,
                                         guint len);

### camel_imapx_input_stream_set_literal ()

    void
    camel_imapx_input_stream_set_literal (CamelIMAPXInputStream *is,
                                          guint literal);

### camel_imapx_input_stream_gets ()

    gint
    camel_imapx_input_stream_gets (CamelIMAPXInputStream *is,
                                   guchar **start,
                                   guint *len,
                                   GCancellable *cancellable,
                                   GError **error);

### camel_imapx_input_stream_getl ()

    gint
    camel_imapx_input_stream_getl (CamelIMAPXInputStream *is,
                                   guchar **start,
                                   guint *len,
                                   GCancellable *cancellable,
                                   GError **error);

### camel_imapx_input_stream_atom ()

    gboolean
    camel_imapx_input_stream_atom (CamelIMAPXInputStream *is,
                                   guchar **start,
                                   guint *len,
                                   GCancellable *cancellable,
                                   GError **error);

### camel_imapx_input_stream_astring ()

    gboolean
    camel_imapx_input_stream_astring (CamelIMAPXInputStream *is,
                                      guchar **start,
                                      GCancellable *cancellable,
                                      GError **error);

### camel_imapx_input_stream_nstring ()

    gboolean
    camel_imapx_input_stream_nstring (CamelIMAPXInputStream *is,
                                      guchar **start,
                                      GCancellable *cancellable,
                                      GError **error);

### camel_imapx_input_stream_nstring_bytes ()

    gboolean
    camel_imapx_input_stream_nstring_bytes
                                   (CamelIMAPXInputStream *is,
                                    GBytes **out_bytes,
                                    GCancellable *cancellable,
                                    GError **error);

### camel_imapx_input_stream_text ()

    gboolean
    camel_imapx_input_stream_text (CamelIMAPXInputStream *is,
                                   guchar **text,
                                   GCancellable *cancellable,
                                   GError **error);

### camel_imapx_input_stream_number ()

    gboolean
    camel_imapx_input_stream_number (CamelIMAPXInputStream *is,
                                     guint64 *number,
                                     GCancellable *cancellable,
                                     GError **error);

### camel_imapx_input_stream_skip ()

    gboolean
    camel_imapx_input_stream_skip (CamelIMAPXInputStream *is,
                                   GCancellable *cancellable,
                                   GError **error);

### camel_imapx_input_stream_skip_until ()

    gboolean
    camel_imapx_input_stream_skip_until (CamelIMAPXInputStream *is,
                                         const gchar *delimiters,
                                         GCancellable *cancellable,
                                         GError **error);

## Types and Values

### CAMEL_IMAPX_ERROR

    #define             CAMEL_IMAPX_ERROR

### enum CamelIMAPXError

#### Members

CAMEL_IMAPX_ERROR_SERVER_RESPONSE_MALFORMED |  |
CAMEL_IMAPX_ERROR_IGNORE |  |

### enum camel_imapx_token_t

#### Members

IMAPX_TOK_ERROR |  |
IMAPX_TOK_TOKEN |  |
IMAPX_TOK_STRING |  |
IMAPX_TOK_INT |  |
IMAPX_TOK_LITERAL |  |